summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2006-06-28 06:51:06 +0000
committerJim Meyering <jim@meyering.net>2006-06-28 06:51:06 +0000
commit0e0f6e1050a569a92528d970e4dd5ed83f082ba0 (patch)
tree437fb570b6c6368375ddc48ddc69e1ee6e627df5 /tests
parentc4d2d39cf83ab8de4b6e383668e2835570692271 (diff)
downloadcoreutils-0e0f6e1050a569a92528d970e4dd5ed83f082ba0.tar.xz
* tests/mv/i-link-no: Work around HP-UX /bin/sh tracing problem
(set -x when VERBOSE=yes) when stderr is redirected before stdout causing shell tracing of the stdout redirection to be written to the stderr file. Avoid problem and test failure on HP-UX by redirecting stderr last. * tests/dd/unblock-sync: Order shell file redirections for stderr and stdout in the common style. tests/acl: Likewise.
Diffstat (limited to 'tests')
-rw-r--r--tests/acl6
-rwxr-xr-xtests/dd/unblock-sync2
-rwxr-xr-xtests/mv/i-link-no2
3 files changed, 5 insertions, 5 deletions
diff --git a/tests/acl b/tests/acl
index e548d9a9a..6d1480dc9 100644
--- a/tests/acl
+++ b/tests/acl
@@ -1,5 +1,5 @@
-getfacl --version < /dev/null 2> /dev/null 1>&2 \
- && setfacl --version < /dev/null 2> /dev/null 1>&2 || {
+getfacl --version < /dev/null > /dev/null 2>&1 \
+ && setfacl --version < /dev/null > /dev/null 2>&1 || {
cat <<EOF 1>&2
**************************************
$0: This test requires getfacl and setfacl.
@@ -8,7 +8,7 @@ EOF
(exit 77); exit 77
}
-id -u bin 2> /dev/null 1>&2 || {
+id -u bin > /dev/null 2>&1 || {
cat <<EOF 1>&2
**************************************
$0: This test requires a local user named bin.
diff --git a/tests/dd/unblock-sync b/tests/dd/unblock-sync
index 52118487b..5050db675 100755
--- a/tests/dd/unblock-sync
+++ b/tests/dd/unblock-sync
@@ -25,7 +25,7 @@ fi
fail=0
-dd cbs=4 ibs=4 conv=unblock,sync < in 2>/dev/null > out || fail=1
+dd cbs=4 ibs=4 conv=unblock,sync < in > out 2> /dev/null || fail=1
cat <<\EOF > exp || fail=1
0001
0002
diff --git a/tests/mv/i-link-no b/tests/mv/i-link-no
index 53a9514a9..43e404ee0 100755
--- a/tests/mv/i-link-no
+++ b/tests/mv/i-link-no
@@ -31,7 +31,7 @@ fi
fail=0
-mv --reply=no a/bar a/foo b 2> err > out || fail=1
+mv --reply=no a/bar a/foo b > out 2> err || fail=1
cat <<EOF > exp
EOF